Loading...
Searching...
No Matches
caf::detail::is_callable_with< F, Ts > Struct Template Reference

Checks wheter F is callable with arguments of types Ts.... More...

`#include <type_traits.hpp>`

## Public Types

using | type = decltype(sfinae<F>(nullptr))

## Static Public Member Functions

template<class U>
static auto | sfinae (U *) -> decltype((std::declval< U & >())(std::declval< Ts >()...), std::true_type())
template<class U>
static auto | sfinae (...) -> std::false_type

## Static Public Attributes

static constexpr bool | value = type::value

## Detailed Description

template<class F, class... Ts>
struct caf::detail::is_callable_with< F, Ts >

Checks wheter F is callable with arguments of types Ts....

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp